# HTML cgi-bin directory exists under
#
%define contentdir /var/www


# Language sets that we bundle with php
#
%define manual_langs en


# For those willing to recompile with Oracle libraries
# for the oracle extension
# (ie rpm --rebuild --define 'oracle 1' php4.1.2-x.src.rpm)
#
%{!?oracle:%define oracle 0}


# When we're testing, we don't want all the manuals thank you
# (ie rpm --rebuild --define 'manuals 1' php4.1.2-x.src.rpm)
#
%{!?manuals:%define manuals 1}


# RPM Informational headers
#
Summary: The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Name: php
Version: 4.4.2
Release: 2.norlug
License: The PHP License, version 2.02
Group: Development/Languages
URL: http://www.php.net/
Epoch: 2
Provides: php-apache1

# The one true source and manuals
#
Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
%if %{manuals}
Source1: http://www.php.net/distributions/manual/php_manual_en.tar.bz2
Source2: http://www.php.net/distributions/manual/php_manual_pt_BR.tar.bz2
Source3: http://www.php.net/distributions/manual/php_manual_cs.tar.bz2
Source4: http://www.php.net/distributions/manual/php_manual_nl.tar.bz2
Source5: http://www.php.net/distributions/manual/php_manual_fr.tar.bz2
Source6: http://www.php.net/distributions/manual/php_manual_de.tar.bz2
Source7: http://www.php.net/distributions/manual/php_manual_hu.tar.bz2
Source8: http://www.php.net/distributions/manual/php_manual_it.tar.bz2
Source9: http://www.php.net/distributions/manual/php_manual_ja.tar.bz2
Source10: http://www.php.net/distributions/manual/php_manual_ko.tar.bz2
Source11: http://www.php.net/distributions/manual/php_manual_es.tar.bz2
Source12: http://www.php.net/distributions/manual/php_manual_tr.tar.bz2
%endif


# Where are we going to build the install set to?
#
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386

# Kill off some old history that we no longer wish to see
#
Obsoletes: mod_php, php3, phpfi, php-dbg
Requires: curl => 7.9.8, libxml2 => 2.5.11

# Ok, you wanna build it, you gotta have these packages around
# From: ldd /usr/bin/php | sort | cut -f 1 -d ' '
#       | xargs rpm -q --whatprovides | sort -u )
# That said, BuildRequires should be -devel packages where
# -devel packages exist as they generally have the header files
# associated with the libraries required. As a general rule of
# thumb, specifying a -devel package will always drag in the
# main package as well
#
BuildRequires: bzip2-devel
BuildRequires: curl-devel
BuildRequires: db4-devel
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: gd-devel => 2.0.15
BuildRequires: gdbm-devel
BuildRequires: gmp-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel => 2.5.11
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: pspell-devel
BuildRequires: apache-devel, apache
BuildRequires: imap-devel

# To install, you must be /this/ high...
# Basically it's a list of items php itself during the build doesn't
# directly touch eg fileutils for mkdir, perl for the install scripts
# etc.
#
BuildPrereq: bzip2
BuildPrereq: fileutils
PreReq: perl


%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.

%package devel
Group: Development/Libraries
Summary: Files needed for building PHP extensions.
AutoReq: no
Provides: php-apache1-devel


%description devel
The php-devel package contains the files needed for building PHP
extensions. If you need to compile your own PHP extensions, you will
need to install this package.

%package imap
Summary: An Apache module for PHP applications that use IMAP.
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
Obsoletes: mod_php3-imap
BuildRequires: krb5-devel
BuildRequires: openssl-devel


%description imap
The php-imap package contains a dynamic shared object (DSO) for the
Apache Web server. When compiled into Apache, the php-imap module will
add IMAP (Internet Message Access Protocol) support to PHP. IMAP is a
protocol for retrieving and uploading e-mail messages on mail
servers. PHP is an HTML-embedded scripting language. If you need IMAP
support for PHP applications, you will need to install this package
and the php package.

%package ldap
Summary: A module for PHP applications that use LDAP.
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
Obsoletes: mod_php3-ldap
BuildRequires: cyrus-sasl-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel


%description ldap
The php-ldap package is a dynamic shared object (DSO) for the Apache
Web server that adds Lightweight Directory Access Protocol (LDAP)
support to PHP. LDAP is a set of protocols for accessing directory
services over the Internet. PHP is an HTML-embedded scripting
language. If you need LDAP support for PHP applications, you will
need to install this package in addition to the php package.

%if %{manuals}
%package manual
Summary: The PHP manual, in HTML format.
Group: Documentation
Obsoletes: mod_php3-manual
Prereq: php = %{version}-%{release}


%description manual
The php-manual package provides comprehensive documentation for the
PHP HTML-embedded scripting language, in HTML format. PHP is an
HTML-embedded scripting language.

%endif


%package mysql
Summary: A module for PHP applications that use MySQL databases.
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl, grep
Provides: php_database
Obsoletes: mod_php3-mysql
BuildRequires: mysql-devel
Requires: mysql
Requires: zlib


%description mysql
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php or mod_php package.

%package pgsql
Summary: A PostgreSQL database module for PHP.
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
Provides: php_database
Obsoletes: mod_php3-pgsql
BuildRequires: krb5-devel
BuildRequires: openssl-devel
BuildRequires: postgresql-devel
Requires: krb5-libs
Requires: openssl
Requires: postgresql-libs


%description pgsql
The php-pgsql package includes a dynamic shared object (DSO) that can
be compiled in to the Apache Web server to add PostgreSQL database
support to PHP. PostgreSQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an
HTML-embedded scripting language. If you need back-end support for
PostgreSQL, you should install this package in addition to the main
php package.

%package odbc
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl, grep
Summary: A module for PHP applications that use ODBC databases.
Provides: php_database
BuildRequires: unixODBC-devel
Requires: unixODBC


%description odbc
The php-odbc package contains a dynamic shared object that will add
database support through ODBC to PHP. ODBC is an open specification
which provides a consistent API for developers to use for accessing
data sources (which are often, but not always, databases). PHP is an
HTML-embeddable scripting language. If you need ODBC support for PHP
applications, you will need to install this package and the php
package.

%if %{oracle}
%package oci8
Summary: A module for PHP applications that use OCI8 databases.
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
Provides: php_database


%description oci8
The php-oci8 package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
%endif

%package snmp
Summary: A module for PHP applications that query SNMP-managed devices.
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
BuildRequires: ucd-snmp-devel


%description snmp
The php-snmp package contains a dynamic shared object that will add
support for querying SNMP devices to PHP.  PHP is an HTML-embeddable
scripting language. If you need SNMP support for PHP applications, you
will need to install this package and the php package.

%prep
%setup -q

# Weld the patchs into the main source
#

# %doc gets confused about LICENSE & Zend/LICENSE
# lets just help it out,...
#
cp Zend/LICENSE Zend/ZEND_LICENSE


# We build php (normal cgi, apache_module)
# Need some spare directories for to do that
#
#mkdir build-cgi
mkdir build-apache

%build

# Add -fPIC to RPM_OPT_FLAGS.
#
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS


# Add the Kerberos library path to the default LDFLAGS so that the IMAP checks
# will be able to find the GSSAPI libraries.
#
LDFLAGS="-L/usr/kerberos/lib"; export LDFLAGS


# Configure may or may not catch these (mostly second-order) dependencies.
#
LIBS="-lttf -lfreetype -lpng -ljpeg -lz -lnsl"; export LIBS


# This causes the shared extension modules to be installed into %{_libdir}/php4.
#
EXTENSION_DIR=%{_libdir}/php4; export EXTENSION_DIR


# This pulls the static /usr/lib/libc-client.a into the IMAP extension module.
#
IMAP_SHARED_LIBADD=-lc-client ; export IMAP_SHARED_LIBADD


# Shell function to configure and build a PHP tree.
#
build() {
ln -sf ../configure
%configure \
	--prefix=%{_prefix} \
	--with-config-file-path=%{_sysconfdir} \
    --with-config-file-scan-dir=%{_sysconfdir}/php.d \
	--disable-debug \
	--enable-pic \
	--disable-rpath \
	--enable-inline-optimization \
	--with-bz2 \
	--with-db4 \
	--with-curl \
	--with-dom=%{_prefix} \
	--with-exec-dir=%{_bindir} \
	--with-freetype-dir=%{_prefix} \
	--with-png-dir=%{_prefix} \
	--with-gd \
	--enable-gd-native-ttf \
	--with-ttf \
	--with-gdbm \
	--with-gettext \
	--with-ncurses \
	--with-gmp \
	--with-iconv \
	--with-jpeg-dir=%{_prefix} \
	--with-mm \
	--with-openssl \
	--with-png \
	--with-pspell \
	--with-regex=system \
	--with-xml \
	--with-expat-dir=%{_prefix} \
	--with-zlib \
	--with-layout=GNU \
	--enable-bcmath \
	--enable-debugger \
	--enable-exif \
	--enable-ftp \
	--enable-magic-quotes \
	--enable-safe-mode \
	--enable-sockets \
	--enable-sysvsem \
	--enable-sysvshm \
	--enable-discard-path \
	--enable-track-vars \
	--enable-trans-sid \
	--enable-yp \
	--enable-wddx \
	--without-oci8 \
	--with-imap=shared \
	--with-imap-ssl \
	--with-kerberos=/usr/kerberos \
	--with-ldap=shared \
	--with-mysql=shared,%{_prefix} \
%if %{oracle}
	--with-oci8=shared \
%endif
	--with-pgsql=shared \
	--with-snmp=shared,%{_prefix} \
	--with-snmp=shared \
	--enable-ucd-snmp-hack \
	--with-unixODBC=shared \
	--enable-memory-limit \
	--enable-bcmath \
	--enable-shmop \
	--enable-versioning \
	--enable-calendar \
	--enable-dbx \
	--enable-dio \
	--enable-mbstring \
	--enable-mbstr-enc-trans \
    --enable-mcrypt \
	$*


# Fixup the config_vars to not include the '-a' on lines which call apxs.
#
#cat config_vars.mk > config_vars.mk.old
#awk '/^INSTALL_IT.*apxs.*-a -n/ {sub("-a -n ","-n ");} {print $0;}' \
#	config_vars.mk.old > config_vars.mk
#
#make
}


# First, build a CGI tree. Remember that nice handy build() { ... } above?
#
#pushd build-cgi
#build \
#	--enable-force-cgi-redirect
#popd


# Second, build an Apache tree.
#
pushd build-apache


# Add the buildroot location to the front of the libexecdir.
# Again use the build() call
#
build \
	--with-apxs=%{_sbindir}/apxs
popd


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/{apache,php}

# First, install the CGI tree.
#
#pushd build-cgi
#make install INSTALL_ROOT=$RPM_BUILD_ROOT 
#popd


# Second, install the Apache tree.  Note that this overwrites the modules which
# were installed as part of the CGI build.  Lucky for us they're compatible.
#
pushd build-apache
make install INSTALL_ROOT=$RPM_BUILD_ROOT INSTALL_IT="echo "
popd


# Install the default configuration file and some icons which can be used to
# indicate that this site uses PHP.
#
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/
install -m 644    php.ini-dist $RPM_BUILD_ROOT%{_sysconfdir}/php.ini
# fix PHP .so paths
perl -pi -e 's|extension_dir = \".\/\"|extension_dir = \"\/usr\/lib\/php4\"|g;' \
    $RPM_BUILD_ROOT%{_sysconfdir}/php.ini
install -m 755 -d $RPM_BUILD_ROOT%{contentdir}/icons
install -m 644    *.gif $RPM_BUILD_ROOT%{contentdir}/icons/
 

# Gurrrr @!!$#? apxs/buildroot mess
#
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 build-apache/libs/libphp4.so $RPM_BUILD_ROOT/usr/lib/apache

# things that moved sice 4.3.11 :-/
install -m 755 build-apache/scripts/phpize $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/dev/phpextdist $RPM_BUILD_ROOT%{_bindir}/


# Manuals -- we'll place English (en) in the location where the only version
# of the manual was before, and langify the rest.
%if %{manuals}
for lang in %{manual_langs} ; do
	if test x${lang} = xen ; then
		target_lang=""
	else
		target_lang=${lang}
	fi
	mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_php4/${target_lang}
	bzip2 -dc $RPM_SOURCE_DIR/php_manual_${lang}.tar.bz2 | tar -x -C $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_php4/${target_lang} -f -
done
%endif


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%triggerpostun -- php < 4.0.0
	perl -pi -e 's|^#LoadModule php3_module|LoadModule php3_module|g' \
		/etc/httpd/conf/httpd.conf
	perl -pi -e 's|^#AddModule mod_php3.c|AddModule mod_php3.c|g' \
		/etc/httpd/conf/httpd.conf


%files
	%defattr(-,root,root)
	%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README*
	%doc Zend/ZEND_*
	%config(noreplace) %{_sysconfdir}/php.ini
	%{_bindir}/php
	%{_datadir}/pear
	%{_libdir}/apache/libphp4.so


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files devel
	%defattr(-,root,root)
	%{_bindir}/pear
	%{_bindir}/php-config
	%{_bindir}/phpize
	%{_bindir}/phpextdist
	%{_includedir}/php
	%{_libdir}/php


# From here on in we need to make php-(extension) alter the php.ini
# file to activate usage of each module in installation and deactivation
# on removal. We'll do this using perl.
# Just to make things annoying, upstream has decided to change the default
# file extensions from .so to .dll .. <mutter>...
#


################################################################################
# pgsql ########################################################################
#
%files pgsql
	%defattr(-,root,root)
	%{_libdir}/php4/pgsql.so

%post pgsql
	%{__perl} -pi -e "s|^;extension=pgsql.so|extension=pgsql.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_pgsql.dll|extension=pgsql.so|" %{_sysconfdir}/php.ini


%preun pgsql
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=pgsql.so|;extension=pgsql.so|" %{_sysconfdir}/php.ini
	fi


################################################################################
# mysql ########################################################################
#
%files mysql
	%defattr(-,root,root)
	%{_libdir}/php4/mysql.so


%post mysql
echo ";extension=mysql.so" >> %{_sysconfdir}/php.ini
if %{__grep} -q "extension=mysql.so" %{_sysconfdir}/php.ini; then
    %{__perl} -pi -e "s|^;extension=mysql.so|extension=mysql.so|" %{_sysconfdir}/php.ini
else
    %{__perl} -pi -e "s|^;extension=php_mysql.dll|;extension=php_mysql.dll\nextension=mysql.so|" %{_sysconfdir}/php.ini
fi

%preun mysql
if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
    %{__perl} -pi -e "s|^extension=mysql.so|;extension=mysql.so|" %{_sysconfdir}/php.ini
fi	

################################################################################
# odbc #########################################################################
#
%files odbc
	%defattr(-,root,root)
	%{_libdir}/php4/odbc.so


%post odbc
	if %{__grep} -q "extension=odbc.so" %{_sysconfdir}/php.ini; then
		%{__perl} -pi -e "s|^;extension=odbc.so|extension=odbc.so|" %{_sysconfdir}/php.ini
	else
		%{__perl} -pi -e "s|^;extension=php_odbc.dll|;extension=php_odbc.dll\nextension=odbc.so|" %{_sysconfdir}/php.ini
	fi

%preun odbc
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=odbc.so|;extension=odbc.so|" %{_sysconfdir}/php.ini
	fi


################################################################################
# oracle #######################################################################
#
%if %{oracle}
%files oci8
	%defattr(-,root,root)
	%{_libdir}/php4/oci8.so


%post oci8
	%{__perl} -pi -e "s|^;extension=oci8.so|extension=oci8.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_oci8.dll|extension=oci8.so|" %{_sysconfdir}/php.ini


%preun oci8
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=oci8.so|;extension=oci8.so|" %{_sysconfdir}/php.ini
	fi
%endif


################################################################################
# imap #########################################################################
#
%files imap
	%defattr(-,root,root)
	%{_libdir}/php4/imap.so


%post imap
	%{__perl} -pi -e "s|^;extension=imap.so|extension=imap.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_imap.dll|extension=imap.so|" %{_sysconfdir}/php.ini


%preun imap
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=imap.so|;extension=imap.so|" %{_sysconfdir}/php.ini
	fi


################################################################################
# ldap #########################################################################
#
%files ldap
	%defattr(-,root,root)
	%{_libdir}/php4/ldap.so


%post ldap
	%{__perl} -pi -e "s|^;extension=ldap.so|extension=ldap.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_ldap.dll|extension=ldap.so|" %{_sysconfdir}/php.ini


%preun ldap
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=ldap.so|;extension=ldap.so|" %{_sysconfdir}/php.ini
	fi


################################################################################
# snmp #########################################################################
#
%files snmp
	%defattr(-,root,root)
	%{_libdir}/php4/snmp.so


%post snmp
	%{__perl} -pi -e "s|^;extension=snmp.so|extension=snmp.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_snmp.dll|extension=snmp.so|" %{_sysconfdir}/php.ini


%preun snmp
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=snmp.so|;extension=snmp.so|" %{_sysconfdir}/php.ini
	fi

################################################################################


%if %{manuals}
%files manual
	%defattr(-,root,root)
	%{contentdir}/icons/*
	%dir %{contentdir}/html/manual/mod/mod_php4/
	%{contentdir}/html/manual/mod/mod_php4/*.html
	#%lang(cs) %{contentdir}/html/manual/mod/mod_php4/cs
	#%lang(de) %{contentdir}/html/manual/mod/mod_php4/de
	#%lang(es) %{contentdir}/html/manual/mod/mod_php4/es
	#%lang(fr) %{contentdir}/html/manual/mod/mod_php4/fr
	#%lang(hu) %{contentdir}/html/manual/mod/mod_php4/hu
	#%lang(it) %{contentdir}/html/manual/mod/mod_php4/it
	#%lang(ja) %{contentdir}/html/manual/mod/mod_php4/ja
	#%lang(ko) %{contentdir}/html/manual/mod/mod_php4/ko
	#%lang(nl) %{contentdir}/html/manual/mod/mod_php4/nl
	#%lang(pt) %{contentdir}/html/manual/mod/mod_php4/pt_BR
	#%lang(tr) %{contentdir}/html/manual/mod/mod_php4/tr
%endif


%changelog
* Fri Jan 13 2006 Chip Cuccio <chipster@norlug.org> 4.4.2-2
- update to 4.4.2

* Tue Nov 8 2005 Chip Cuccio <chipster@norlug.org> 4.4.1-2
- strftime() fix

* Mon Oct 31 2005 Chip Cuccio <chipster@norlug.org> 4.4.1-1
- updated to 4.4.1
- Happy Halloween

* Mon Jul 11 2005 Chip Cuccio <chipster@norlug.org> 4.4.0-1
- updated to 4.4.0

* Fri Apr 1 2005 Chip Cuccio <chipster@norlug.org> 4.3.11-1
- updated 

* Thu Feb 17 2005 Chip Cuccio <chipster@norlug.org> 4.3.10-5
- fixed php.ini 'mysql.so' extension bug

* Sat Feb 12 2005 Chip Cuccio <chipster@norlug.org> 4.3.10-4
- enabled 'mcrypt'

* Thu Dec 16 2004 Chip Cuccio <chipster@norlug.org> 4.3.10-2
- updated

* Wed Nov 24 2004 Chip Cuccio <chipster@norlug.org> 4.3.10RC1-1
- testing release

* Thu Sep 23 2004 Chip Cuccio <chipster@norlug.org> 4.3.9-1
- updated

* Tue Jul 13 2004 Chip Cuccio <chipster@norlug.org> 4.3.8-2
- updated

* Fri May 28 2004 Chip Cuccio <chipster@norlug.org> 4.3.7-2
- updated

* Thu Apr 15 2004 Chip Cuccio <chipster@norlug.org> 4.3.6-3
- update to 4.3.6

* Mon Mar 29 2004 Chip Cuccio <chipster@norlug.org> 4.3.5-6
- update to 4.3.5 final.

* Thu Mar 18 2004 Chip Cuccio <chipster@norlug.org> 4.3.5RC4-5
- update to RC4 for testing

* Tue Feb 24 2004 Chip Cuccio <chipster@norlug.org> 4.3.5RC3-4
- rebuild against gd-2

* Mon Feb 16 2004 Chip Cuccio <chipster@norlug.org> 4.3.5RC3-3
- update to 4.3.5RC3 for testing

* Thu Feb 5 2004 Chip Cuccio <chipster@norlug.org> 4.3.5RC2-2
- update to 4.3.5RC2 for testing

* Tue Jan 13 2004 Chip Cuccio <chipster@norlug.org> 4.3.5RC1-1
- update to 4.3.5RC1 for testing

* Mon Nov 3 2003 Chip Cuccio <chipster@norlug.org> 4.3.4-2
- update to 4.3.4 final release.

* Tue Sep 30 2003 Chip Cuccio <chipster@norlug.org> 4.3.4RC1-1
- update for testing 4.3.4RC1

* Mon Sep 8 2003 Chip Cuccio <chipster@norlug.org> 4.3.3-2
- spec cleanups
- default to glibc-2.2

* Mon Aug 25 2003 Chip Cuccio <chipster@norlug.org> 4.3.3-1
- update to 4.3.3

* Mon Jun 23 2003 Chip Cuccio <chipster@norlug.org> 4.3.2-5
- built for rh-7.3
- sorry folks - only EN_US manual :-)
